Module Name: src
Committed By: kre
Date: Sun Oct 8 21:12:28 UTC 2017
Modified Files:
src/tests/sbin/resize_ffs: common.sh
Log Message:
Make most of the resize_ffs tests skip if PUFFS is not configured
in the kernel. (nb: for this purpose, a module that is configured
to autoload counts as configured in the kernel...)
To generate a diff of this commit:
cvs rdiff -u -r1.14 -r1.15 src/tests/sbin/resize_ffs/common.sh
Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
Modified files:
Index: src/tests/sbin/resize_ffs/common.sh
diff -u src/tests/sbin/resize_ffs/common.sh:1.14 src/tests/sbin/resize_ffs/common.sh:1.15
--- src/tests/sbin/resize_ffs/common.sh:1.14 Sun Mar 29 19:37:02 2015
+++ src/tests/sbin/resize_ffs/common.sh Sun Oct 8 21:12:27 2017
@@ -134,7 +134,17 @@ resize_ffs()
fi
# we're specifying relative paths, so rump_ffs warns - ignore.
- atf_check -s exit:0 -e ignore rump_ffs ${IMG} mnt
+ if ! rump_ffs ${IMG} mnt >/dev/null 2>S.Err
+ then
+ if grep 'puffs_daemon: Operation not supported by device' S.Err >/dev/null
+ then
+ atf_skip 'No PUFFS available in kernel'
+ else
+ aft_fail "rump_ffs mount failed: $(tail -r S.Err |
+ sed -e '/^$/d' -e p -e q )"
+ fi
+ fi
+
copy_multiple ${numdata}
if [ ${nsize} -lt ${osize} ]; then